use crate::RenderError;

use super::{Buffer, RenderOnce};

#[doc(hidden)]
#[inline(always)]
pub fn render<T: RenderOnce>(buf: &mut Buffer, value: T) -> Result<(), RenderError> {
    value.render_once(buf)
}

#[doc(hidden)]
#[inline(always)]
pub fn render_escaped<T: RenderOnce>(
    buf: &mut Buffer,
    value: T,
) -> Result<(), RenderError> {
    value.render_once_escaped(buf)
}

#[doc(hidden)]
#[inline(always)]
pub fn render_text(buf: &mut Buffer, value: &str) {
    buf.push_str(value)
}
